textures/riches/r_worldscreen1
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_editorimage textures/riches/r_worldscreen1.tga

	cull none
	{
		map textures/riches/r_worldscreen1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
    	{      	map textures/effects/tinfx2.tga
      		tcgen environment
   	     	blendFunc GL_ONE GL_ONE
	        rgbGen identity
	}
}

textures/riches_light/r_light1
{
	qer_editorimage textures/riches_light/r_light1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 400
	q3map_lightimage textures/urban_terror3/nrglightblend.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/riches_light/r_light1.tga
	}
}

textures/riches/glass_clear
{
	qer_editorimage textures/effects/tinfx2.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}
textures/riches/corona
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/riches/corona.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/riches/ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/riches/r_tele
{
	qer_editorimage textures/riches/screen.tga
	{
		map textures/effects/tinfx3.tga
		rgbGen identity
		tcMod scale 2 2
		tcGen environment 
	}
	{
		videomap blinkeye.roq
		blendfunc add
		rgbGen identity
	}
	{
		map textures/riches/scanline.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 -0.035
		tcMod scale 45 45
	}
	{
		map textures/riches/screen.tga
		blendfunc blend
		rgbGen Vertex
	}
}

textures/riches_metal/r_tin
{
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/riches_metal/r_tin.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/effects/tinfx2.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/riches_metal/r_tin.tga
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/riches_metal/r_pewter
{
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/riches_metal/r_pewter.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/effects/tinfx2.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/riches_metal/r_pewter.tga
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/riches_effects/r_waterfall1
{
	qer_editorimage textures/riches_effects/r_waterfall1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	cull disable
	//deformVertexes wave 100 sin 0 1 0 1.5 
	qer_trans 0.5
	{
		map textures/riches_effects/r_waterfall1.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -3.5
		alphaGen Vertex
	}
}

textures/riches_effects/laser
{
	qer_editorimage textures/riches_effects/r_laser1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid	
	cull none
	{
		map textures/riches_effects/r_laser1.tga
		blendfunc add
		tcMod scroll 0.05 0.05
	}
}

textures/riches_effects/orangegas
{
	qer_editorimage textures/sfx/fog.tga
        qer_trans 0.3
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 1
	fogparms ( .85 .34 0 ) 512
		

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/riches/mxr_assaultsky

{
	qer_editorimage textures/skies/sky_3.tga
	q3map_lightimage textures/skies/n_blue.tga

	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 2048
	q3map_sun	1.0 0.8 0.8 160 295 15
	q3map_surfacelight 40

//	fogvars ( .35 .35 .35 ) .0001
//	skyfogvars ( .25 .25 .255 ) .1
	fogvars ( .25 .25 .255 ) .00002
	skyfogvars ( .23 .23 .24 ) .25

	skyparms full 200 -
	
	{
		map textures/skies/sunset1.tga
	//	tcMod scroll -0.001 -0.003
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/skies/assa_clouds1.tga
		blendfunc blend
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}
}
