textures/wt_camp/grass
{
	grasssteps
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wt_camp/grass.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/wt_camp/grasscrater
{
	grasssteps
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wt_camp/crater.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/wt_camp/ladder
{
	surfaceparm nonsolid
	cull disable
	nomipmaps
	deformVertexes autosprite2
	{
		map textures/wt_camp/ladder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
}

textures/wt_camp/wire
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull disable
	nomipmaps
	{
		map textures/wt_camp/wire.tga
		blendfunc blend
		rgbGen identity
		depthWrite
	}
}

textures/wt_camp/breach
{
	surfaceparm nonsolid
	cull disable
	nomipmaps
	{
		map textures/wt_camp/breach.tga
		blendfunc blend
		rgbGen identity
		depthWrite
	}
}

textures/wt_camp/blek
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wt_camp/black.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/skies/camp_sky
{
	qer_editorimage textures/skies/sky_6.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 2048
	q3map_surfacelight 60
	q3map_globaltexture
	q3map_sun 1 0.99 0.8 40 266 60
	skyParms full 200 -
	q3map_nofast 
	{
		map textures/skies/newclouds.tga
		tcMod scroll -0.003 -0.001
		tcMod scale 6 6
		depthWrite
	}
}

textures/skies/camp_sky2
{
	qer_editorimage textures/skies/sky_6.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 2048
	q3map_surfacelight 60
	q3map_globaltexture
	q3map_sun 1 0.99 0.8 40 90 90
	skyParms full 200 -
	q3map_nofast 
	{
		map textures/skies/newclouds.tga
		tcMod scroll -0.003 -0.001
		tcMod scale 6 6
		depthWrite
	}
}

textures/skies/camp_sky3
{
	qer_editorimage textures/skies/sky_6.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 2048
	q3map_surfacelight 60
	q3map_globaltexture
	q3map_sun 1 0.99 0.8 40 94 90
	skyParms full 200 -
	q3map_nofast 
	{
		map textures/skies/newclouds.tga
		tcMod scroll -0.003 -0.001
		tcMod scale 6 6
		depthWrite
	}
}

// ------------------------------------------------------------------------------
// Grass texture
// ------------------------------------------------------------------------------
textures/wt_camp/grass_base
{
	qer_editorimage textures/wt_rock_asmo/asmograss.tga

//	q3map_cloneshader textures/wt_camp/grass_fur
	
	{
		map $lightmap
	}
	{
		map textures/wt_rock_asmo/asmograss.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ------------------------------------------------------------------------------
// Grass Fur texture
// ------------------------------------------------------------------------------
textures/wt_camp/grass_fur
{
	qer_editorimage textures/wt_rock_asmo/asmograss.tga

	q3map_lightimage textures/wt_rock_asmo/asmograss_fur.tga
	
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	
	// format: q3map_fur <layers> <offset> <fade>
	q3map_fur 8 1.25 0.1
	
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact
	
	// cull none
	nomipmaps
	
	{
		map textures/wt_rock_asmo/asmograss_fur.tga
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

// ------------------------------------------------------------------------------
// Long Grass Fur texture
// ------------------------------------------------------------------------------
textures/wt_camp/long_grass_fur
{
	qer_editorimage textures/wt_rock_asmo/asmograss.tga

	q3map_lightimage textures/wt_rock_asmo/asmograss_fur.tga
	
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	
	// format: q3map_fur <layers> <offset> <fade>
	q3map_fur 8 1.25 0.1
	
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact
	
	// cull none
	nomipmaps
	
	{
		map textures/wt_rock_asmo/asmograss_fur.tga
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

// ------------------------------------------------------------------------------
// Very Long Grass Fur texture
// ------------------------------------------------------------------------------
textures/wt_camp/Vlong_grass_fur
{
	qer_editorimage textures/wt_rock_asmo/asmograss.tga

	q3map_lightimage textures/wt_rock_asmo/asmograss_fur.tga
	
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	
	// format: q3map_fur <layers> <offset> <fade>
	q3map_fur 8 1.25 0.1
	
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact
	
	// cull none
	nomipmaps
	
	{
		map textures/wt_rock_asmo/asmograss_fur.tga
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}


textures/wt_camp/water
{
	qer_editorimage textures/liquids/ocean_m1.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 512 sin 1 5 0 0.3 
	qer_trans 0.5
	q3map_globaltexture
	waterfogvars ( 0.1 0.35 0.1 ) 512
	{
		map textures/liquids/ocean_m1.tga
		rgbGen identity
		tcMod scale 0.8 0.7
		tcMod scroll 0 -0.01
	}
	{
		map textures/liquids/ocean_m1.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0 0.02
		tcMod turb -0.1 0.2 0 0.1
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

